Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Class MappedLoginService.KnownUser

    java.lang.Object
      org.eclipse.jetty.security.MappedLoginService.KnownUser

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal, MappedLoginService.UserPrincipal

Enclosing class:
  MappedLoginService

    public static class MappedLoginService.KnownUser

extends java.lang.Object
implements MappedLoginService.UserPrincipal, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MappedLoginService.KnownUser(java.lang.String name, Credential credential)`

Method Summary
`boolean` | `authenticate(java.lang.Object credentials)`
`java.lang.String` | `getName()`
`boolean` | `isAuthenticated()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Constructor Detail

### MappedLoginService.KnownUser

    public MappedLoginService.KnownUser(java.lang.String name,
                                        Credential credential)

Method Detail

### authenticate

    public boolean authenticate(java.lang.Object credentials)

  Specified by:
    `authenticate` in interface `MappedLoginService.UserPrincipal`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### isAuthenticated

    public boolean isAuthenticated()

  Specified by:
    `isAuthenticated` in interface `MappedLoginService.UserPrincipal`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.